from boxrouter import BoxRouter
from boxrouter.models import UpdateActionsWorkspaceSettings
with BoxRouter() as client:
result = client.api.actions.update_settings(
if_match="IF_MATCH",
body=UpdateActionsWorkspaceSettings.from_dict({"max_active_jobs": 20}),
)
import { BoxRouter } from '@boxrouter/sdk';
await using client = new BoxRouter();
const result = await client.api.actions.updateSettings({
headers: { 'If-Match': 'IF_MATCH' },
body: { max_active_jobs: 20 },
});
boxrouter api actions update-settings --if-match IF_MATCH --body '{"max_active_jobs":20}'
curl -X PUT "https://api.boxrouter.ai/api/v1/actions/settings" \
-H "Authorization: Bearer $BOXROUTER_API_KEY" \
-H 'If-Match: IF_MATCH' \
-H "Content-Type: application/json" \
-d '{"max_active_jobs":20}'
{
"max_active_jobs": 250,
"updated_at": "2023-11-07T05:31:56Z",
"etag": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}Update the Workspace Actions Settings
Requires workspace administrator authority. Browser-session calls require CSRF and
the configured Origin. If-Match is required and must equal the latest ETag; a
stale value conflicts without writing. max_active_jobs is an integer from 1 to
500. An Idempotency-Key records the logical mutation: identical uncertain retries
return the recorded outcome, changed input under the same key conflicts, and
unknown effects are reconciled without automatic redispatch.
from boxrouter import BoxRouter
from boxrouter.models import UpdateActionsWorkspaceSettings
with BoxRouter() as client:
result = client.api.actions.update_settings(
if_match="IF_MATCH",
body=UpdateActionsWorkspaceSettings.from_dict({"max_active_jobs": 20}),
)
import { BoxRouter } from '@boxrouter/sdk';
await using client = new BoxRouter();
const result = await client.api.actions.updateSettings({
headers: { 'If-Match': 'IF_MATCH' },
body: { max_active_jobs: 20 },
});
boxrouter api actions update-settings --if-match IF_MATCH --body '{"max_active_jobs":20}'
curl -X PUT "https://api.boxrouter.ai/api/v1/actions/settings" \
-H "Authorization: Bearer $BOXROUTER_API_KEY" \
-H 'If-Match: IF_MATCH' \
-H "Content-Type: application/json" \
-d '{"max_active_jobs":20}'
{
"max_active_jobs": 250,
"updated_at": "2023-11-07T05:31:56Z",
"etag": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"outcome": "not_started",
"retry": "safe",
"retry_after_seconds": 1,
"details": {
"selection_version": 1,
"considered": 1,
"excluded": [
{
"provider": "<string>"
}
],
"closest": {},
"nearest": [
{}
],
"requirement": "<string>",
"purchase_id": "<string>",
"preview": {
"unused": 1,
"held_excluded": 1,
"fee": 1,
"principal": 1,
"tax": 1,
"total": 1,
"card": {
"brand": "<string>",
"last4": "<string>",
"type": "card",
"email": "jsmith@example.com"
}
},
"quote": {
"amount": 2,
"tax": 1,
"total": 2,
"address_required": true,
"fee_minor": 1,
"missing": [
"<string>"
]
},
"redemption": {
"code": "<string>",
"amount_nanodollars": "<string>",
"description": "<string>",
"redeemed_at": "2023-11-07T05:31:56Z"
},
"scope": "workspace",
"period": "total",
"limit_nanodollars": 2,
"requested_nanodollars": 2,
"sign_in_method": "<string>",
"masked_email": "<string>",
"failure_reason": "<string>",
"names": [
"<string>"
],
"fields": [
"preferences.order"
],
"volume_id": "<string>",
"writer_sandbox_id": "<string>",
"checkpoint": 2,
"limit_bytes": 1,
"observed_bytes": 1,
"mismatch": {
"field": "image",
"recorded": "<string>",
"requested": "<string>",
"eligible": [
"<string>"
]
},
"volume_phase": "check",
"phase": "code",
"command": "<string>",
"exit_code": 123,
"stderr_tail": "<string>",
"stdout_tail": "<string>",
"agent": "<string>",
"port": 32768,
"revoked": true,
"preview_id": "<string>",
"url": "<string>",
"reason": "provider_account_disconnected",
"build_output": "<string>",
"path": "<string>",
"known": [
"<string>"
],
"limit": 123,
"unit": "<string>",
"usage": 123,
"limit_source": "workspace_spend_limit",
"spent_nanodollars": 1,
"available_nanodollars": 1,
"account_caps": [
{
"provider": "<string>",
"account_id": "<string>",
"limit": 2
}
],
"step_mismatches": [
{
"provider": "<string>",
"account_id": "<string>",
"step": 2
}
],
"providers": [
"<string>"
],
"retry_after_seconds": 1,
"reset_at": "2023-11-07T05:31:56Z",
"home_region": "<string>",
"requirements": {},
"gate": "<string>",
"missing": {},
"still_eligible": 1,
"fits_here": true,
"exclusion": {
"provider": "<string>",
"kinds": [
"health_hidden"
],
"reasons": [
"provider_hidden"
]
},
"attempts": [
{
"provider": "<string>",
"outcome": "completed",
"native_code": "<string>",
"native_status": 123,
"route_id": "<string>",
"account_id": "<string>",
"supply": "<string>",
"cause": "key_rejected"
}
],
"fallbacks_allowed": true,
"stopped_reason": "fallbacks_disabled",
"state": "<string>",
"state_reason": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"sandbox_id": "<string>",
"sandbox_ids": [
"<string>"
],
"operations": [
{
"id": "<string>",
"operation": "<string>",
"sandbox_id": "<string>"
}
],
"cleanup": "confirmed",
"recovery_id": "<string>",
"upload_ids": [
"<string>"
],
"prerequisite": "<string>",
"command_started": false
},
"doc_url": "<string>",
"fix": "<string>",
"operation_id": "<string>",
"owner": "provider",
"provider": "<string>",
"provider_code": "<string>",
"native_code": "<string>",
"native_status": 123,
"native_message": "<string>"
}
}Authorizations
Headers
Optional for this operation. Preserve the same stable identifier when retrying an uncertain response; never reuse it for new work. If omitted where allowed, Cloud generates a request-scoped key that cannot reconcile a later retry. Do not include credentials or payloads. Stable identifier for one logical mutation.
1 - 128Body
Response
Updated workspace Actions settings revision.